#
# Module services
#
# Copyright (c) 2011-present Qualiteam software Ltd. All rights reserved.
# See https://www.x-cart.com/license-agreement.html for license details.

services:
  _defaults:
    autowire: true
  CDev\AustraliaPost\LifetimeHook\Init:
    tags:
      - {name: xcart.lifetime-hook, moduleId: CDev-AustraliaPost, type: init, method: onInit}
  CDev\AustraliaPost\LifetimeHook\Upgrade\UpgradeTo550build2:
    tags:
      - {name: xcart.lifetime-hook, moduleId: CDev-AustraliaPost, type: upgrade, method: onUpgrade, version: 5.5.0.2}
  CDev\AustraliaPost\LifetimeHook\Upgrade\UpgradeTo551build0:
    tags:
      - {name: xcart.lifetime-hook, moduleId: CDev-AustraliaPost, type: upgrade, method: onUpgrade, version: 5.5.1.0}
